Disk Management

  • Overview of Disk Management

  • Checklist: Add a New Disk

  • Manage Disks

  • Manage Basic Volumes

  • Manage Dynamic Volumes

  • Create a Striped Volume

  • Troubleshooting Disk Management

  • Resources for Disk Management


Disk Management

You can use Disk Management in this version of Windows to perform disk-related tasks such as creating and formatting partitions and volumes, and assigning drive letters. In addition, you can use the DiskPart command, along with other command-line tools, to perform Disk Management tasks.

  • Overview of Disk Management

  • Checklist: Add a New Disk

  • Manage Disks

  • Manage Basic Volumes

  • Manage Dynamic Volumes

  • Create a Striped Volume

  • Troubleshooting Disk Management

  • Resources for Disk Management


Overview of Disk Management

Disk Management is a system utility for managing hard disks and the volumes or partitions that they contain. With Disk Management, you can initialize disks, create volumes, and format volumes with the FAT, FAT32, or NTFS file systems. Disk Management enables you to perform most disk-related tasks without restarting the system or interrupting users. Most configuration changes take effect immediately.

In this version of Windows, Disk Management provides the same features you may already be familiar with from earlier versions, but also adds some new features:

  • Simpler partition creation. When you right-click a volume, you can choose whether to create a basic, spanned, or striped partition directly from the menu.

  • Disk conversion options. When you add more than four partitions to a basic disk, you are prompted to convert the disk to dynamic or to the GUID partition table (GPT) partition style.

  • Extend and shrink partitions. You can extend and shrink partitions directly from the Windows interface.

Additional resources

  • Checklist: Add a New Disk

  • Manage Disks

  • Manage Basic Volumes

  • Manage Dynamic Volumes

  • Create a Striped Volume

  • Troubleshooting Disk Management

  • Resources for Disk Management

  • For more in-depth information about Disk Management, including best practices and concepts, see http://go.microsoft.com/fwlink/?LinkId=64097.


Checklist: Add a New Disk

Task | Reference
Review key concepts. | Overview of Disk Management; http://go.microsoft.com/fwlink/?LinkId=64098
Confirm that you are a member of the Backup Operators group or the Administrators group. | Search Help and Support for "standard account" and "administrator account". For information about groups, see http://go.microsoft.com/fwlink/?LinkId=64099.
Add the new disk. | http://go.microsoft.com/fwlink/?LinkId=64100
Create partitions or volumes. | http://go.microsoft.com/fwlink/?LinkId=64106; http://go.microsoft.com/fwlink/?LinkId=64107
Format volumes on the disk. | http://go.microsoft.com/fwlink/?LinkId=64101; http://go.microsoft.com/fwlink/?LinkId=64104; http://go.microsoft.com/fwlink/?LinkId=64105


Manage Disks

This section includes the most common disk management tasks, including moving disks between computers, changing disks between basic and dynamic types, and changing the partition style of disks.

Converting disk types

Although Disk Management allows you to change disks between various types and partition styles, some of the operations are irreversible (unless you reformat the drive). You should carefully consider the disk type and partition style that is most appropriate for your application.

For more information about considerations for using basic versus dynamic disks, see http://go.microsoft.com/fwlink/?LinkId=64117 and http://go.microsoft.com/fwlink/?LinkId=64119.

The following table shows the options for converting disks between the various partition styles:

Disk type | Convert to MBR | Convert to GPT | Convert to dynamic
Master boot record (MBR) | -- | Allowed (if no volumes on disk). | Allowed, but disk might become unbootable. See Note.
GUID partition table (GPT) | Allowed (if no volumes on disk). | -- | Allowed, but disk might become unbootable. See Note.
Note

In a multiboot scenario, if you are booted into one operating system, and you convert a basic MBR disk that contains an alternate operating system to a dynamic disk, you will not be able to boot into the alternate operating system.

Online and offline status

Disk Management displays the online and offline status of disks. In Windows Vista, the default is that all newly discovered disks are brought online with read and write access. In Windows Server 2008 Enterprise and Windows Server 2008 Datacenter, the default is that newly discovered disks are brought online with read and write access unless they are on a shared bus (such as SCSI, iSCSI, Serial Attached SCSI, or Fibre Channel). Disks on a shared bus will be offline the first time they are detected.

If a disk is offline, you must bring it online before you can initialize it or create volumes on it. Bring a disk online or take it offline by right-clicking the disk name and then clicking the appropriate action.

  • Initialize New Disks

  • Move Disks to Another Computer

  • Reactivate a Missing or Offline Dynamic Disk

  • Change a Basic Disk into a Dynamic Disk

  • Change a Dynamic Disk Back to a Basic Disk

  • Change a Master Boot Record Disk into a GUID Partition Table Disk

  • Change a GUID Partition Table Disk into a Master Boot Record Disk

  • Remove a Missing Dynamic Disk

  • Manage Disks Remotely

  • Manage Virtual Hard Disks


Initialize New Disks

Backup Operator or Administrator is the minimum membership required.

To initialize new disks

  1. In Disk Management, right-click the disk you want to initialize, and then click Initialize Disk.

  2. In the Initialize Disk dialog box, select the disk(s) to initialize. You can select whether to use the master boot record (MBR) or GUID partition table (GPT) partition style.
Note

The disk is initialized as a basic disk.

Additional considerations

  • New disks appear as Not Initialized. Before you can use a disk, you must first initialize it. If you start Disk Management after adding a disk, the Initialize Disk Wizard appears so you can initialize the disk.


Move Disks to Another Computer

This section describes the steps to take and considerations associated with moving disks to another computer. You might want to print this procedure or write down the steps before attempting to move disks from one computer to another.

Backup Operator or Administrator is the minimum membership required to perform these steps.

Verify volume health

Use Disk Management to make sure the status of the volumes on the disks is Healthy. If the status is not Healthy, you should repair the volumes before you move the disks.

To verify the volume status, check the Status column in the Volume List view or under the volume size and file system information in the Graphical view.

Uninstall the disks

Uninstall the disks you want to move using Device Manager.

To uninstall disks

  1. Open Device Manager in Computer Management.

  2. In the device list, double-click Disk drives.

  3. Right-click the disks you want to uninstall, and then click Uninstall.

  4. In the Confirm Device Removal dialog box, click OK.

Remove dynamic disks

If the disks you want to move are dynamic disks, in Disk Management, right-click the disks that you want to move, and then click Remove Disk.

After having removed dynamic disks or if you are moving basic disks, you can now physically disconnect them. If the disks are external, you can now unplug them from the computer. If they are internal, turn off the computer, and then physically remove the disks.

Install disks in the new computer

If the disks are external, plug them into the computer. If the disks are internal, make sure the computer is turned off and then physically install the disks in that computer.

Start the computer that contains the disks you moved and follow the instructions on the Found New Hardware dialog box.

Detect new disks

On the new computer, open Disk Management. Click Action and then click Rescan Disks. Right-click any disk marked Foreign, click Import Foreign Disks, and then follow the instructions on your screen.

Additional considerations

  • When moved to another computer, basic volumes receive the next available drive letter on that computer. Dynamic volumes retain the drive letter they had on the previous computer. If a dynamic volume did not have a drive letter on the previous computer, it does not receive a drive letter when moved to another computer. If the drive letter is already used on the computer where they are moved, the volume receives the next available drive letter. If an administrator has used the mountvol /n or the diskpart automount commands to prevent new volumes from being added to the system, volumes moved from another computer are prevented from being mounted and from receiving a drive letter. To use the volume, you must manually mount the volume and assign it a drive letter using Disk Management or the DiskPart and mountvol commands.

  • If you are moving spanned, striped, mirrored, or RAID-5 volumes, it is highly recommended that you move all disks containing the volume together. Otherwise, the volumes on the disks cannot be brought online and will not be accessible except to delete them.

  • You can move multiple disks from different computers to a computer by installing the disks, opening Disk Management, right-clicking any of the new disks, and then clicking Import Foreign Disks. When importing multiple disks from different computers, always import all of the disks from one computer at a time. For example, if you want to move disks from two computers, import disks from the first computer and then import disks from the second computer.

  • Disk Management describes the condition of the volumes on the disks before they are imported. Review this information carefully. If there are any problems, this will tell you what will happen to each volume on these disks once the disks have been imported.

  • If you move a GUID partition table disk containing the Windows operating system to an x86-based or x64-based computer, you can access the data, but you cannot boot from that operating system.


Reactivate a Missing or Offline Dynamic Disk

A dynamic disk may become Missing when it is corrupted, powered down, or disconnected.

A dynamic disk may become Offline if it is corrupted or intermittently unavailable. A dynamic disk may also become Offline if you attempt to import a foreign (dynamic) disk and the import fails. An error icon appears on the Offline disk. Only dynamic disks display the Missing or Offline status.

Only dynamic disks can be reactivated.

Backup Operator or Administrator is the minimum membership required to perform these steps.

Reactivating a missing or offline dynamic disk

  • Using the Windows interface

  • Using a command line
To reactivate a dynamic disk by using the Windows interface

  1. In Disk Management, right-click the disk marked Missing or Offline.

  2. Click Reactivate Disk. The disk should be marked Online after the disk is reactivated.
To reactivate a dynamic disk by using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list disk. Make note of the disk number of the missing or offline disk that you want to bring online. Missing disks are numbered M0, M1, M2, and so on, and offline disks are numbered 0, 1, 2, and so on.

  3. At the DISKPART prompt, type select disk <disknumber>.

  4. At the DISKPART prompt, type online.

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk disknumber | Sets the focus to the specified disk, where disknumber is the disk number.
online | Brings an offline disk or volume with focus online.

Additional references

  • Command-line syntax notation


Change a Basic Disk into a Dynamic Disk

When you change a basic disk to dynamic, you can create volumes that span multiple disks (spanned and striped volumes). Dynamic volumes can be used in most but not all situations.

Basic disks support only primary partitions, extended partitions, and logical drives. Basic disks have been supported in operating systems since MS-DOS, while dynamic disks have been supported in operating systems since Windows 2000.

Backup Operators or Administrator is the minimum membership required.

Caution

Do not convert disks to dynamic that contain multiple installations of Windows 2000, Windows XP Professional, or the Windows Server 2003 family of operating systems. It is likely that you will no longer be able to start the second installation. For more information, see http://go.microsoft.com/fwlink/?LinkId=64134.

Note

The decision to convert a basic disk to a dynamic disk has implications that should be considered carefully. For more information about basic and dynamic disks and how to choose which type to use, see http://go.microsoft.com/fwlink/?LinkId=64133.

Note

Before you convert disks, close any programs that are running on those disks.

Changing a basic disk into a dynamic disk

  • Using the Windows interface

  • Using a command line
To change a basic disk into a dynamic disk using the Windows interface

  1. In Disk Management, right-click the basic disk you want to convert.

  2. Click Convert to Dynamic Disk….

  3. Follow the instructions on your screen.

    Note

    If you do not see this menu item, you might be right-clicking a volume instead of a disk, the disk might have been previously converted to a dynamic disk, or the computer is a portable computer. (Dynamic disks are not supported on portable computers, removable disks, detachable disks that use Universal Serial Bus (USB) or IEEE 1394 (also called FireWire) interfaces, or on disks connected to shared SCSI buses.) In addition, you cannot convert cluster disks connected to shared SCSI or Fibre Channel buses to dynamic disks. The Cluster service supports basic disks only.)

    Caution

    If you are using a basic disk as a storage area for shadow copies and you intend to convert the disk into a dynamic disk, it is important to take the following precaution to avoid data loss. If the disk is a non-boot volume and is a different volume from where the original files reside, you must first dismount and take offline the volume containing the original files before you convert the disk containing shadow copies to a dynamic disk. You must bring the volume containing the original files back online within 20 minutes, otherwise, you will lose the data stored in the existing shadow copies. If the shadow copies are located on a boot volume, you can convert the disk to dynamic without losing shadow copies. You can use the mountvol command with the /p option to dismount the volume and take it offline. You can mount the volume and bring it online using the mountvol command or the Disk Management snap-in.

Additional considerations

  • For additional information about converting basic disks to dynamic disks, see http://go.microsoft.com/fwlink/?LinkId=64136.

  • After you convert a basic disk to a dynamic disk, you cannot change the dynamic volumes back to partitions. Instead, you must delete all dynamic volumes on the disk and then use the Convert To Basic Disk command. If you want to keep your data, you must first back it up or move it to another volume.

  • Once converted, a dynamic disk will not contain basic volumes (primary partitions or logical drives).

  • When you convert a basic disk to a dynamic disk, any existing partitions or logical drives on the basic disk become simple volumes on the dynamic disk.

  • For the conversion to succeed, any master boot record (MBR) disks to be converted must contain at least 1 MB of space for the dynamic disk database.

To change a basic disk into a dynamic disk using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list disk. Make note of the disk number you want to convert to dynamic.

  3. At the DISKPART prompt, type select disk <disknumber>.

  4. At the DISKPART prompt, type convert dynamic.

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk | Selects the specified disk, where disknumber is the disk number, and gives it focus.
convert dynamic | Converts a basic disk into a dynamic disk. Any existing partitions on the disk become simple volumes.
Caution

If you are using a basic disk as a storage area for shadow copies and you intend to convert the disk into a dynamic disk, it is important to take the following precaution to avoid data loss. If the disk is a non-boot volume and is a different volume from where the original files reside, you must first dismount and take offline the volume containing the original files before you convert the disk containing shadow copies to a dynamic disk. You must bring the volume containing the original files back online within 20 minutes, otherwise, you will lose the data stored in the existing shadow copies. If the shadow copies are located on a boot volume, you can convert the disk to dynamic without losing shadow copies. You can use the mountvol command with the /p option to dismount the volume and take it offline. You can mount the volume and bring it online using the mountvol command or the Disk Management snap-in.

Additional considerations

  • For additional information about converting basic disks to dynamic disks, see http://go.microsoft.com/fwlink/?LinkId=64136.

  • After you convert a basic disk to a dynamic disk, you cannot change the dynamic volumes back to partitions. Instead, you must delete all dynamic volumes on the disk and then use the Convert To Basic Disk command. If you want to keep your data, you must first back it up or move it to another volume.

  • Once converted, a dynamic disk will not contain basic volumes (primary partitions or logical drives).

  • When you convert a basic disk to a dynamic disk, any existing partitions or logical drives on the basic disk become simple volumes on the dynamic disk.

  • For the conversion to succeed, any master boot record (MBR) disks to be converted must contain at least 1 MB of space for the dynamic disk database.

Additional references

  • Command-line syntax notation


Change a Dynamic Disk Back to a Basic Disk

Basic disks support only primary partitions, extended partitions, and logical drives. Basic disks have been supported in operating systems since MS-DOS, while dynamic disks have been supported in operating systems since Windows 2000.

Backup Operators or Administrator is the minimum membership required.

Note

The decision to convert a dynamic disk to a basic disk has implications that should be considered carefully. For more information about basic and dynamic disks and how to choose which type to use, see http://go.microsoft.com/fwlink/?LinkId=64133.

Note

Before you convert disks, close any programs that are running on those disks.

Changing a dynamic disk back to a basic disk

  • Using the Windows interface

  • Using a command line
To change a dynamic disk back to a basic disk using the Windows interface

  1. Back up all volumes on the disk you want to convert from dynamic to basic.

  2. In Disk Management, right-click each volume on the dynamic disk you want to convert to a basic disk, and then click Delete Volume for each volume on the disk.

  3. When all volumes on the disk have been deleted, right-click the disk, and then click Convert to Basic Disk.

Additional considerations

  • The disk must not have any volumes nor contain any data before you can change it back to a basic disk. If you want to keep your data, back it up or move it to another volume before you convert the disk to a basic disk.

  • Once you change a dynamic disk back to a basic disk, you can create only partitions and logical drives on that disk.

To change a dynamic disk back to a basic disk using a command line

  1. Back up all volumes on the disk you want to convert from dynamic to basic.

  2. Open a command prompt and type diskpart.

  3. At the DISKPART prompt, type list disk. Make note of the disk number you want to convert to basic.

  4. At the DISKPART prompt, type select disk <disknumber>.

  5. At the DISKPART prompt, type detail disk <disknumber>.

  6. For each volume on the disk, at the DISKPART prompt, type select volume= <volumenumber> and then type delete volume.

  7. At the DISKPART prompt, type select disk <disknumber>. Specify the disk number of the disk that you want to convert to a basic disk.

  8. At the DISKPART prompt, type convert basic.

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk disknumber | Selects the specified disk, where disknumber is the disk number, and gives it focus.
detail disk disknumber | Displays the properties of the selected disk and the volumes on that disk.
select volume disknumber | Selects the specified volume, where disknumber is the volume number, and gives it focus. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
delete volume | Deletes the selected volume. You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
convert basic | Converts an empty dynamic disk into a basic disk.

Additional considerations

  • The disk must not have any volumes or contain any data before you can change it back to a basic disk. If you want to keep your data, back it up or move it to another volume before you convert the disk to a basic disk.

  • Once you change a dynamic disk back to a basic disk, you can create only partitions and logical drives on that disk.

Additional references

  • Command-line syntax notation


Change a Master Boot Record Disk into a GUID Partition Table Disk

Master boot record (MBR) disks use the standard BIOS partition table. GUID partition table (GPT) disks use extensible firmware interface (EFI). One advantage of GPT disks is that you can have more than four partitions on each disk. GPT is also required for disks larger than 2 terabytes.

You can change a disk from MBR to GPT partition style as long as the disk does not contain any partitions or volumes.

You cannot use the GPT partition style on removable media, or on cluster disks that are connected to shared SCSI or Fibre Channel buses that are used by the Cluster service.

Backup Operators or Administrator is the minimum membership required.

Note

Before you convert disks, close any programs that are running on those disks.

Changing a master boot record disk into a GUID partition table disk

  • Using the Windows interface

  • Using a command line
To change a master boot record disk into a GUID partition table disk using the Windows interface

  1. Back up or move the data on the basic master boot record (MBR) disk you want to convert into a GUID partition table (GPT) disk.

  2. If the disk contains any partitions or volumes, right-click any volumes on the disk and then click Delete Partition or Delete Volume.

  3. Right-click the MBR disk that you want to change into a GPT disk, and then click Convert to GPT Disk.
To change a master boot record disk into a GUID partition table disk using a command line

  1. Back up or move the data on the basic master boot record (MBR) disk you want to convert into a GUID partition table (GPT) disk.

  2. Open a command prompt and type diskpart. If the disk does not contain any partitions or volumes, skip to step 6.

  3. At the DISKPART prompt, type list volume. Make note of the volume number you want to delete.

  4. At the DISKPART prompt, type select volume <volumenumber>.

  5. At the DISKPART prompt, type delete volume.

  6. At the DISKPART prompt, type list disk. Make note of the disk number of the disk that you want to convert to a GPT disk.

  7. At the DISKPART prompt, type select disk <disknumber>.

  8. At the DISKPART prompt, type convert gpt.
Important

You can only convert basic MBR disks without any partitions or volumes into a GPT disk. Back up your data and then delete all partitions or volumes before converting the disk.

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where volumenumber is the volume number, and gives it focus. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
delete volume | Deletes the selected volume. You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk disknumber | Selects the specified disk, where disknumber is the disk number, and gives it focus.
convert gpt | Converts an empty basic disk with the master boot record (MBR) partition style into a basic disk with the GUID partition table (GPT) partition style.

Additional references

  • Command-line syntax notation


Change a GUID Partition Table Disk into a Master Boot Record Disk

Master boot record (MBR) disks use the standard BIOS partition table. GUID partition table (GPT) disks use extensible firmware interface (EFI). MBR disks do not support more than four partitions on each disk. The MBR partition method is not recommended for disks larger than 2 terabytes.

You can change a disk from GPT to MBR partition style as long as the disk is empty and contains no volumes.

Backup Operators or Administrator is the minimum membership required.

Note

Before you convert disks, close any programs that are running on those disks.

Changing a GUID partition table disk into a master boot record disk

  • Using the Windows interface

  • Using a command line
To change a GUID partition table disk into a master boot record disk using the Windows interface

  1. Back up or move all volumes on the basic GUID partition table (GPT) disk you want to convert into a master boot record (MBR) disk.

  2. If the disk contains any partitions or volumes, right-click any volumes on the disk and then click Delete Volume.

  3. Right-click the GPT disk that you want to change into an MBR disk, and then click Convert to MBR disk.
To change a GUID partition table disk into a master boot record disk using command line

  1. Back up or move all volumes on the basic GUID partition table (GPT) disk you want to convert into a master boot record (MBR) disk.

  2. Open a command prompt and type diskpart. If the disk does not contain any partitions or volumes, skip to step 6.

  3. At the DISKPART prompt, type list volume. Make note of the volume number you want to delete.

  4. At the DISKPART prompt, type select volume <volumenumber>.

  5. At the DISKPART prompt, type delete volume.

  6. At the DISKPART prompt, type list disk. Make note of the disk number of the disk that you want to convert to a GPT disk.

  7. At the DISKPART prompt, type select disk <disknumber>.

  8. At the DISKPART prompt, type convert mbr.

    Important

    The disk must be empty to convert it to an MBR disk. Back up your data and then delete all partitions or volumes before converting the disk.

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where volumenumber is the volume number, and gives it focus. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
delete volume | Deletes the selected volume. You cannot delete the system volume, boot volume, or any volume that contains the active paging file or crash dump (memory dump).
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk | Selects the specified disk, where disknumber is the disk number, and gives it focus.
convert mbr | Converts an empty basic disk with the GUID Partition Table (GPT) partition style to a basic disk with the master boot record (MBR) partition style.

Additional references

  • Command-line syntax notation


Remove a Missing Dynamic Disk

A dynamic disk may become Missing when it is corrupted, powered down, or disconnected.

Backup Operators or Administrator is the minimum membership required.

Important

Do not delete the volumes from a missing dynamic disk unless you are certain that the disk will not be powered up, reconnected, repaired or otherwise returned to the computer. Otherwise, you will not be able to access those volumes when the disk is returned to the computer.

Removing a missing dynamic disk

  • Using the Windows interface

  • Using a command line
To remove a missing dynamic disk using the Windows interface

  1. In Disk Manager, right-click each volume on the dynamic disk marked Missing, and then click Delete Volume to remove all volumes on the Missing disk.

  2. Right-click the dynamic disk marked Missing, and then click Remove Disk.
To remove a missing dynamic disk using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list disk. Make note of the disk number you want to remove from the disk list. Missing disks are numbered M0, M1, M2, and so on.

  3. At the DISKPART prompt, type select disk <disknumber>.

  4. At the DISKPART prompt, type delete disk.

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
select disk disknumber | Selects the specified disk, where disknumber is the disk number, and gives it focus.
delete disk | Deletes a missing dynamic disk from the disk list.

Additional references

  • Command-line syntax notation


Manage Disks Remotely

This section describes how to use Disk Management on one computer to manage disks on a different computer.

Membership in Backup Operators or Administrators, or equivalent, is the minimum required to complete this procedure.

Manage disks remotely

To manage disks on a remote computer by using Disk Management on the local computer, the remote computer must support the Virtual Disk Service (VDS). If the remote computer does not support VDS, you can use Remote Desktop Connection to connect to the computer and then run Disk Management directly on the remote computer.

To manage disks on the remote computers that support VDS, you must configure Windows Firewall on both the local computer (where you are running Disk Management) and the remote computer.

On the local computer, configure Windows Firewall to enable the Remote Volume Management exception.

Note

The Remote Volume Management exception includes exceptions for Vds.exe, Vdsldr.exe, and TCP port 135.

Remote computer operating system Windows Firewall configuration

Windows Server 2008, Windows Server 2008 with Service Pack 1 (SP1), Windows Server 2008 with SP2, Windows Vista, Windows Vista with SP1, Windows Vista with SP2, Windows Server 2008 R2, Windows 7

Enable Remote Volume Management exception.

Windows Vista

Enable Remote Volume Management exception.

Enable the File and Print Sharing exception.

Windows Server 2003 with SP1

Enable the following exceptions:

  • TCP port 135

  • Vds.exe

Note

Remote connections in workgroups are not supported. Both the local computer and the remote computer must be in a domain.

Additional references

  • Manage Disks


Manage Virtual Hard Disks

The Virtual Hard Disk (VHD) format is a publicly available image format specification that specifies a virtual hard disk encapsulated in a single file, capable of hosting native file systems while supporting standard disk and file operations. They are commonly used as part of the Hyper-V feature of Windows Server 2008 R2, for example. For more information about VHDs, see Additional references.

You can use Disk Management to create, attach, and detach virtual hard disks (VHDs).

Membership in Backup Operators or Administrators, or equivalent, is the minimum required to complete these procedures.

Viewing VHDs in Disk Management

VHDs appear just like physical disks in Disk Management. When a VHD has been attached (that is, made available to the system for use), it appears blue. If the disk is detached (that is, made unavailable), its icon reverts to gray.

Creating a VHD

To create a VHD

  1. On the Action menu, select Create VHD.

  2. In the Create and Attach Virtual Hard Disk dialog box, specify the location on the physical computer where you want the VHD file to be stored and the size of the VHD.

  3. In Virtual hard disk format, select Dynamically expanding or Fixed size, and then click OK.

Attaching and detaching a VHD

To make a VHD available for use (either one you have just created or another existing VHD), on the Action menu, select Attach VHD, and then specify the location of the VHD, using a fully qualified path.

To detach the VHD, which will make it unavailable, on the Action menu, select Detach VHD, or right-click the VHD in the volume list or graphical view, and then select Detach VHD. Detaching a VHD does not delete the VHD or any data stored in it.

Additional considerations

  • The path specifying the location for the VHD must be fully qualified and cannot be in the \Windows directory.

  • The minimum size for a VHD is 3 megabytes (MB).

  • A VHD can only be a basic disk.

  • Because a VHD is initialized when it is created, creating a large fixed-size VHD might take some time.

Additional references

  • Virtual Hard Disk Image Format Specification (http://go.microsoft.com/fwlink/?LinkId=139201)

  • Virtual Server 2005 Administrator’s Guide Glossary (http://go.microsoft.com/fwlink/?LinkId=143882)


Manage Basic Volumes

A basic disk is a physical disk that contains primary partitions, extended partitions, or logical drives. Partitions and logical drives on basic disks are known as basic volumes. You can only create basic volumes on basic disks.

You can add more space to existing primary partitions and logical drives by extending them into adjacent, contiguous unallocated space on the same disk. To extend a basic volume, it must be formatted with the NTFS file system. You can extend a logical drive within contiguous free space in the extended partition that contains it. If you extend a logical drive beyond the free space available in the extended partition, the extended partition grows to contain the logical drive as long as the extended partition is followed by contiguous unallocated space.

  • Assign a mount point folder path to a drive

  • Extend a Basic Volume

  • Shrink a Basic Volume


Assign a mount point folder path to a drive

You can use Disk Management to assign a mount-point folder path (rather than a drive letter) to the drive. Mount-point folder paths are available only on empty folders on basic or dynamic NTFS volumes.

Backup Operator or Administrator is the minimum membership required.

Assigning a mount-point folder path to a drive

  • Using the Windows interface

  • Using a command line
To assign a mount-point folder path to a drive by using the Windows interface

  1. In Disk Manager, right-click the partition or volume where you want to assign the mount-point folder path, and then click Change Drive Letter and Paths.

  2. Do one of the following:

    • To assign a mount-point folder path, click Add. Click Mount in the following empty NTFS folder, type the path to an empty folder on an NTFS volume, or click Browse to locate it.

    • To remove the mount-point folder path, click it and then click Remove.

Additional considerations

  • If you are administering a local or remote computer, you can browse NTFS folders on that computer.

  • When assigning a mount-point folder path to a drive, use Event Viewer to check the system log for any Cluster service errors or warnings indicating mount point failures. These errors would be listed as ClusSvc in the Source column and Physical Disk Resource in the Category column.

To assign a mount-point folder path to a drive using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list volume. Make note of the volume number you want to assign the path to elsewhere.

  3. At the DISKPART prompt, type select volume <volumenumber>. Select the simple volume volumenumber that you want to assign the path to.

  4. At the DISKPART prompt, type assign [mount=<path>].

Value Description

list volume

Displays a list of basic and dynamic volumes on all disks.

select volume

Selects the specified volume, where volumenumber is the volume number, and gives it focus. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount-point folder path. On a basic disk, selecting a volume also gives the corresponding partition focus.

assign

Assigns a drive letter or mount-point folder path to the volume with focus. If no drive letter or mount-point folder path is specified, then the next available drive letter is assigned. If the drive letter or mount-point folder path is already in use, an error is generated.

Using the assign command, you can change the drive letter associated with a removable drive.

You cannot assign drive letters to boot volumes, or volumes that contain the paging file. In addition, you cannot assign a drive letter to an Original Equipment Manufacturer (OEM) partition, EFI system partition, or any GPT partition other than a basic data partition.

mount=path

Specifies an empty, existing NTFS folder where the mounted drive will reside.

Additional considerations

  • Mount-point folder paths are available only on empty folders on basic or dynamic NTFS volumes.

  • To modify a mount-point folder path, remove it, and then create a new folder path using the new location. You cannot modify the mount-point folder path directly.

  • When assigning a mount-point folder path to a drive, use Event Viewer to check the system log for any Cluster service errors or warnings indicating mount-point folder path failures. These errors would be listed as ClusSvc in the Source column and Physical Disk Resource in the Category column.

  • You can also create a mounted drive using the mountvol command. For more information, see http://go.microsoft.com/fwlink/?linkid=64111.

Additional references

  • Command-line syntax notation


Extend a Basic Volume

You can add more space to existing primary partitions and logical drives by extending them into adjacent unallocated space on the same disk. To extend a basic volume, it must be raw or formatted with the NTFS file system. You can extend a logical drive within contiguous free space in the extended partition that contains it. If you extend a logical drive beyond the free space available in the extended partition, the extended partition grows to contain the logical drive.

For logical drives, boot, or system volumes, you can extend the volume only into contiguous space and only if the disk can be upgraded to a dynamic disk. For other volumes, you can extend the volume into noncontiguous space, but you will be prompted to convert the disk to dynamic.

Extending a basic volume

  • Using the Windows interface

  • Using a command line
To extend a basic volume using the Windows interface

  1. In Disk Manager, right-click the basic volume you want to extend.

  2. Click Extend Volume….

  3. Follow the instructions on your screen.
To extend a basic volume using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list volume. Make note of the basic volume you want to extend.

  3. At the DISKPART prompt, type select volume <volumenumber>. This selects the basic volume volumenumber that you want to extend into contiguous, empty space on the same disk.

  4. At the DISKPART prompt, type extend [size=<size>]. This extends the selected volume by size megabytes (MB).

Value Description

list volume

Displays a list of basic and dynamic volumes on all disks.

select volume

Selects the specified volume, where volumenumber is the volume number, and gives it focus. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.

extend

Extends the volume with focus into next contiguous unallocated space. For basic volumes, the unallocated space must be on the same disk as, and must follow (be of higher sector offset than) the partition with focus. A dynamic simple or spanned volume can be extended to any empty space on any dynamic disk. Using this command, you can extend an existing volume into newly created space.

If the partition was previously formatted with the NTFS file system, the file system is automatically extended to occupy the larger partition. No data loss occurs. If the partition was previously formatted with any file system format other than NTFS, the command fails with no change to the partition.

You cannot extend the current system or boot partitions.

size= size

The amount of space, in megabytes (MB), to add to the current partition. If you do not specify a size, the disk is extended to take up all of the next contiguous unallocated space.

Additional considerations

  • To extend a basic volume, it must either raw (not formatted with a file system), or it must be formatted with the NTFS file system.

  • If the disk does not contain boot or system partitions, you can extend the volume into other non-boot or non-system disks, but the disk will be converted to a dynamic disk (if it can be upgraded).

Additional references

  • Command-line syntax notation


Shrink a Basic Volume

You can decrease the space used by primary partitions and logical drives by shrinking them into adjacent, contiguous space on the same disk. For example, if you discover that you need an additional partition but do not have additional disks, you can shrink the existing partition from the end of the volume to create new unallocated space that can then be used for a new partition. The shrink operation can be blocked by the presence of certain file types; see Additional considerations for more information.

When you shrink a partition, any ordinary files are automatically relocated on the disk to create the new unallocated space. There is no need to reformat the disk to shrink the partition.

Membership in Backup Operators or Administrators, or equivalent, is the minimum required to complete this procedures.

Caution

If the partition is a raw partition (that is, one without a file system) that contains data (such as a database file), shrinking the partition might destroy the data.

Shrinking a basic volume

  • Using the Windows interface

  • Using a command line
To shrink a basic volume using the Windows interface

  1. In Disk Manager, right-click the basic volume you want to shrink.

  2. Click Shrink Volume.

  3. Follow the instructions on your screen.

    Note

    You can only shrink basic volumes that have no file system or use the NTFS file system.

Additional considerations

  • When you shrink a partition, certain files (for example, the paging file or the shadow copy storage area) cannot be automatically relocated and you cannot decrease the allocated space beyond the point where the unmovable files are located. If the shrink operation fails, check the Application Log for Event 259, which will identify the unmovable file. If you know the cluster or clusters associated with the file that is preventing the shrink operation, you can also use the fsutil command at a command prompt (type fsutil volume querycluster /? for usage). When you provide the querycluster parameter, the command output will identify the unmovable file that is preventing the shrink operation from succeeding.

    In some cases, you can relocate the file temporarily. For example, if the unmovable file is the paging file, you can use Control Panel to move it to another disk, shrink the volume, and then move the page file back to the disk.

  • If the number of bad clusters detected by dynamic bad-cluster remapping is too high, you cannot shrink the partition. If this occurs, you should consider moving the data and replacing the disk.

    Do not use a block-level copy to transfer the data. This will also copy the bad sector table and the new disk will treat the same sectors as bad even though they are normal.

  • You can shrink primary partitions and logical drives on raw partitions (those without a file system) or partitions using the NTFS file system.

To shrink a basic volume using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list volume. Make note of the number of the simple volume you want to shrink.

  3. At the DISKPART prompt, type select volume <volumenumber>. Selects the simple volume volumenumber you want to shrink.

  4. At the DISKPART prompt, type shrink [desired=<desiredsize>] [minimum=<minimumsize>]. Shrinks the selected volume to desiredsize in megabytes (MB) if possible, or to minimumsize if desiredsize is too large.

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where volumenumber is the volume number, and gives it focus. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
shrink | Shrinks the volume with focus to create unallocated space. No data loss occurs. If the partition includes unmovable files (such as the page file or the shadow copy storage area), the volume will shrink to the point where the unmovable files are located.
desired= desiredsize | The amount of space, in megabytes, to recover to the current partition.
minimum=minimumsize | The minimum amount of space, in megabytes, to recover to the current partition. If you do not specify a desired or minimum size, the command will reclaim the maximum amount of space possible.

Additional considerations

  • When you shrink a partition, unmovable files (for example, the paging file or the shadow copy storage area) are not automatically relocated and you cannot decrease the allocated space beyond the point where the unmovable files are located. If you need to shrink the partition further, move the paging file to another disk, delete the stored shadow copies, shrink the volume, and then move the paging file back to the disk.

  • If the number of bad clusters detected by dynamic bad-cluster remapping is too high, you cannot shrink the partition. If this occurs, you should consider moving the data and replacing the disk.

    Do not use a block-level copy to transfer the data. This will also copy the bad sector table and the new disk will treat the same sectors as bad even though they are normal.

  • You can shrink primary partitions and logical drives on raw partitions (those without a file system) or partitions using the NTFS file system.

Additional references

  • Manage Basic Volumes


Manage Dynamic Volumes

  • Manage Simple Volumes

  • Manage Spanned Volumes


Manage Simple Volumes

A simple volume is a dynamic volume that is made up of disk space from a single dynamic disk. A simple volume can consist of a single region on a disk or multiple regions of the same disk that are linked together.

  • Create a Simple Volume

  • Create a Simple Volume

  • Shrink a Simple or Spanned Volume


Create a Simple Volume

A simple volume is a dynamic volume that is made up of disk space from a single dynamic disk. A simple volume can consist of a single region on a disk or multiple regions of the same disk that are linked together. You can create simple volumes only on dynamic disks.

Simple volumes are not fault tolerant.

Backup Operator or Administrator is the minimum membership required to complete the actions below.

Creating a simple volume

  • Using the Windows interface

  • Using a command line
To create a simple volume using the Windows interface

  1. In Disk Management, right-click the unallocated space on the dynamic disk on which you want to create the simple volume, and then click New Simple Volume.

  2. In the New Volume Wizard, click Next, click Simple, and then follow the instructions on your screen.
To create a simple volume using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list disk. Make note of the number of the disk where you want to create a simple volume.

  3. At the DISKPART prompt, type create volume simple [size=<size>] [disk=<disknumber>].

  4. At the DISKPART prompt, type assign letter=<driveletter>.

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
create volume simple | Creates a simple volume. After you create the volume, the focus automatically shifts to the new volume.
size= size | The size of the volume in megabytes (MB). If no size is given, the new volume takes up the remaining free space on the disk.
disk= disknumber | The dynamic disk on which to create the volume. If no disk is given, the current disk is used.
assign letter=driveletter | Assigns a drive letter, driveletter, to the volume with focus. If no drive letter or mount point is specified, the next available drive letter is assigned. If the drive letter or mount point is already in use, an error is generated.

Additional references

  • Command-line syntax notation


Extend a Simple or Spanned Volume

A spanned volume is a dynamic volume that consists of disk space on more than one physical disk. If a simple volume is not a system volume or boot volume, you can extend across additional disks. If you extend a simple volume across multiple disks, it becomes a spanned volume.

You can extend a volume only if it does not have a file system or if it is formatted using the NTFS file system. You cannot extend volumes formatted using FAT or FAT32.

Backup Operator or Administrator is the minimum membership required to complete the actions below.

Extending a simple or spanned volume

  • Using the Windows interface

  • Using a command line
To extend a simple or spanned volume using the Windows interface

  1. In Disk Management, right-click the simple or spanned volume you want to extend.

  2. Click Extend Volume.

  3. Follow the instructions on your screen.
To extend a simple or spanned volume using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list volume. Make note of the number of the simple volume you want to extend onto another disk.

  3. At the DISKPART prompt, type select volume <volumenumber>. This selects the simple volume volumenumber you want to extend onto another disk.

  4. At the DISKPART prompt, type list disk. Make note of the number of the disk that you want to extend the simple volume onto.

  5. At the DISKPART prompt, type extend [size=<size>] [disk=<disknumber>]. This extends the selected volume onto disk disknumber and makes the extension size=size megabytes (MB).

Value Description

list volume

Displays a list of basic and dynamic volumes on all disks.

select volume

Selects the specified volume, where volumenumber is the volume number, and gives it focus. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.

list disk

Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.

extend

Extends the volume with focus into next contiguous unallocated space. For basic volumes, the unallocated space must be on the same disk as, and must follow (be of higher sector offset than) the partition with focus. A dynamic simple or spanned volume can be extended to any empty space on any dynamic disk. Using this command, you can extend an existing volume into newly created space.

If the partition was previously formatted with the NTFS file system, the file system is automatically extended to occupy the larger partition. No data loss occurs. If the partition was previously formatted with any file system format other than NTFS, the command fails with no change to the partition.

You cannot extend the current system or boot partitions.

disk= disknumber

The dynamic disk on which to extend the volume. An amount of space equal to size=size is allocated on the disk. If no disk is specified, the volume is extended on the current disk.

size= size

The amount of space, in megabytes (MB), to add to the current partition. If you do not specify a size, the disk is extended to take up all of the next contiguous unallocated space.

Additional references

  • Command-line syntax notation


Shrink a Simple or Spanned Volume

You can decrease the space used by simple or spanned volumes by shrinking them into contiguous free space at the end of the volume. For example, if you discover that you need an additional partition but do not have additional disks, you can shrink the existing partition from the end of the volume to create new unallocated space that can then be used for a new partition.

When you shrink a partition, any ordinary files are automatically relocated on the disk to create the new unallocated space. There is no need to reformat the disk to shrink the partition.

Backup Operator or Administrator is the minimum membership required to complete the actions below.

Caution

If the partition is a raw partition (that is, one without a file system) that contains data (such as a database file), shrinking the partition may destroy the data.

Shrinking a simple or spanned volume

  • Using the Windows interface

  • Using a command line
To shrink a simple or spanned volume using the Windows interface

  1. In Disk Management, right-click the simple or spanned volume you want to shrink.

  2. Click Shrink Volume….

  3. Follow the instructions on your screen.

Additional considerations

  • When you shrink a partition, unmovable files (for example, the page file or the shadow copy storage area) are not automatically relocated and you cannot decrease the allocated space beyond the point where the unmovable files are located. If you need to shrink the partition further, move the page file to another disk, delete the stored shadow copies, shrink the volume, and then move the page file back to the disk.

  • If the number of bad clusters detected by dynamic bad-cluster remapping is too great, you cannot shrink the partition. If this occurs, you should consider moving the data and replacing the disk.

    Do not use a block-level copy to transfer the data. This will also copy the bad sector table and the new disk will treat the same sectors as bad even though they are normal.

  • You can shrink simple and spanned dynamic disks, but not others.

To shrink a simple or spanned volume using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list volume. Make note of the number of the simple volume you want to shrink.

  3. At the DISKPART prompt, type select volume <volumenumber>. Selects the simple volume volumenumber you want to shrink.

  4. At the DISKPART prompt, type shrink [desired=<desiredsize>] [minimum=<minimumsize>]. Shrinks the selected volume to desiredsize in megabytes (MB) is possible, or to minimumsize if desiredsize is too large.

Value | Description
list volume | Displays a list of basic and dynamic volumes on all disks.
select volume | Selects the specified volume, where volumenumber is the volume number, and gives it focus. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.
shrink | Shrinks the volume with focus to create unallocated space. No data loss occurs. If the partition includes unmovable files (such as the page file or the shadow copy storage area), the volume will shrink to the point where the unmovable files are located.
desired= desiredsize | The amount of space, in megabytes (MB) to recover to the current partition.
minimum= minimumsize | The minimum amount of space, in megabytes (MB), to recover to the current partition. If you do not specify a desired or minimum size, the command will reclaim the maximum amount of space possible.

Additional considerations

  • When you shrink a partition, unmovable files (for example, the page file or the shadow copy storage area) are not automatically relocated and you cannot decrease the allocated space beyond the point where the unmovable files are located. If you need to shrink the partition further, move the page file to another disk, delete the stored shadow copies, shrink the volume, and then move the page file back to the disk.

  • If the number of bad clusters detected by dynamic bad-cluster remapping is too great, you cannot shrink the partition. If this occurs, you should consider moving the data and replacing the disk.

    Do not use a block-level copy to transfer the data. This will also copy the bad sector table and the new disk will treat the same sectors as bad even though they are normal.

  • You can shrink simple and spanned dynamic disks, but not others.

Additional references

  • Command-line syntax notation


Manage Spanned Volumes

A spanned volume is a dynamic volume that consists of disk space on more than one physical disk. If a simple volume is not a system volume or boot volume, you can extend it across additional disks to create a spanned volume, or you can create a spanned volume in unallocated space on a dynamic disk.

  • Create a Spanned Volume

  • Extend a Simple or Spanned Volume

  • Shrink a Simple or Spanned Volume


Create a Spanned Volume

A spanned volume is a dynamic volume consisting of disk space on more than one physical disk. If a simple volume is not a system volume or boot volume, you can extend it across additional disks to create a spanned volume, or you can create a spanned volume in unallocated space on a dynamic disk.

You need at least two dynamic disks in addition to the startup disk to create a spanned volume. You can extend a spanned volume onto a maximum of 32 dynamic disks.

Spanned volumes are not fault tolerant.

Backup Operator or Administrator is the minimum membership required to complete the actions below.

Creating a spanned volume

  • Using the Windows interface

  • Using a command line
To create a spanned volume using the Windows interface

  1. In Disk Management, right-click the unallocated space on one of the dynamic disks where you want to create the spanned volume.

  2. Click New Spanned Volume….

  3. Follow the instructions on your screen.
To create a spanned volume using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list disk. Make note of the number of the disk where you want to create a simple volume.

  3. At the DISKPART prompt, type create volume simple [size=<size>] [disk=<disknumber>].

  4. At the DISKPART prompt, type list volume. Make note of the number of the simple volume you want to extend onto another disk.

  5. At the DISKPART prompt, type select volume <volumenumber>. Select the simple volume volumenumber you want to extend onto another disk.

  6. At the DISKPART prompt, type list disk. Make note of the number of the disk you want to extend the simple volume onto.

  7. At the DISKPART prompt, type extend [size=<size>] [disk=<disknumber>]. Extends the selected volume onto disk disknumber and makes the extension size=size megabytes (MB).

Value Description

list disk

Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.

create volume simple

Creates a simple volume. After you create the volume, the focus automatically shifts to the new volume.

size= size

The size of the volume in megabytes (MB). If no size is given, the new volume takes up the remaining free space on the disk.

disk= disknumber

The dynamic disk on which to create the volume. If no disk is given, the current disk is used.

list volume

Displays a list of basic and dynamic volumes on all disks.

select volume

Selects the specified volume, where volumenumber is the volume number, and gives it focus. If no volume is specified, the select command lists the current volume with focus. You can specify the volume by number, drive letter, or mount point path. On a basic disk, selecting a volume also gives the corresponding partition focus.

extend

Extends the volume with focus into next contiguous unallocated space. For basic volumes, the unallocated space must be on the same disk as, and must follow (be of higher sector offset than) the partition with focus. A dynamic simple or spanned volume can be extended to any empty space on any dynamic disk. Using this command, you can extend an existing volume into newly created space.

If the partition was previously formatted with the NTFS file system, the file system is automatically extended to occupy the larger partition. No data loss occurs. If the partition was previously formatted with any file system format other than NTFS, the command fails with no change to the partition.

You cannot extend the current system or boot partitions.

disk= disknumber

The dynamic disk on which to extend the volume. An amount of space equal to size=size is allocated on the disk. If no disk is specified, the volume is extended on the current disk.

size= size

The amount of space, in megabytes (MB), to add to the current partition. If you do not specify a size, the disk is extended to take up all of the next contiguous unallocated space.

Additional references

  • Command-line syntax notation


Create a Striped Volume

A striped volume is a dynamic volume that stores data in stripes on two or more physical disks. Data in a striped volume is allocated alternately and evenly (in stripes) across the disks. Striped volumes offer the best performance of all the volumes that are available in Windows, but they do not provide fault tolerance. If a disk in a striped volume fails, the data in the entire volume is lost.

You can create striped volumes only on dynamic disks. Striped volumes cannot be extended. You can create a striped volume onto a maximum of 32 dynamic disks.

Backup Operator or Administrator is the minimum membership required to complete the actions below.

Creating a striped volume

  • Using the Windows interface

  • Using a command line
To create a striped volume using the Windows interface

  1. In Disk Management, right-click the unallocated space on one of the dynamic disks where you want to create the striped volume, and then click New Striped Volume….

  2. Follow the instructions on your screen.
To create a striped volume using a command line

  1. Open a command prompt and type diskpart.

  2. At the DISKPART prompt, type list disk. Make note of the number of the disk where you want to create a striped volume.

  3. At the DISKPART prompt, type create volume stripe [size=<size>] [disk=<disknumber>[,[<seconddisknumber>,…]].

Value | Description
list disk | Displays a list of disks and information about them, such as their size, amount of available free space, whether the disk is a basic or dynamic disk, and whether the disk uses the master boot record (MBR) or GUID partition table (GPT) partition style. The disk marked with an asterisk (*) has focus.
create volume stripe | Creates a striped volume on the specified disks. After you create the volume, the focus automatically shifts to the new volume.
size=size | The amount of disk space, in megabytes (MB), that the volume will occupy on each disk. If no size is given, the new volume takes up the remaining free space on the smallest disk and an equal amount of space on each subsequent disk.
disk=disknumber | The dynamic disks on which to create the volume. An amount of space equal to size=size is allocated on each disk.

Additional references

  • Command-line syntax notation


Troubleshooting Disk Management

This section lists a few common issues you may encounter when using Disk Management.

What problem are you having?

  • Partitions on basic disks added to the system do not appear in the Disk Management volume list view.

  • A basic disk's status is Not Initialized.

  • A basic or dynamic disk's status is Unreadable.

  • A dynamic disk's status is Foreign.

  • A dynamic disk's status is Online (Errors).

  • A dynamic disk's status is Offline or Missing.

  • A basic or dynamic volume's status is Failed.

  • A basic or dynamic volume's status is Unknown.

  • A dynamic volume's status is Data Incomplete.

  • Cannot manage striped volumes using Disk Management or DiskPart.

  • A dynamic volume's status is Healthy (At Risk).

  • Disk Management cannot start the Virtual Disk Service
Partitions on basic disks added to the system do not appear in the Disk Management volume list view.

Cause: Volumes on basic disks added to the system are not automatically mounted and assigned drive letters by default.

Dynamic disks appear as Foreign when they are added to the system. To use the volumes, you must import the Foreign disks and then bring the volumes Online.

Removable media devices (such as Zip or Jaz drives), and optical discs (such as CD-ROM or DVD-RAM) are always automatically mounted by the system.

Solution: Manually mount the basic volumes by assigning drive letters, or by creating mount points using Disk Management or the DiskPart or mountvol commands.

For more information about the DiskPart or mountvol commands, see the following:

  • http://go.microsoft.com/fwlink/?LinkId=64110

  • http://go.microsoft.com/fwlink/?LinkId=64111

A basic disk's status is Not Initialized.

Cause: The disk does not contain a valid signature. After you install a new disk, the operating system must write a disk signature, the end of sector marker (also called signature word), and a master boot record or GUID partition table before you can create partitions on the disk. When you first start Disk Management after installing a new disk, a wizard appears that provides a list of the new disks detected by the operating system. If you cancel the wizard before the disk signature is written, the disk status remains Not Initialized.

Solution: Initialize the disk. The disk status briefly changes to Initializing and then Online status. For instructions describing how to initialize a disk, see Initialize New Disks.

For more information about disk status descriptions, see http://go.microsoft.com/fwlink/?LinkId=64112.

A basic or dynamic disk's status is Unreadable.

Cause: The basic or dynamic disk is not accessible and might have experienced hardware failure, corruption, or I/O errors. The disk's copy of the system's disk configuration database might be corrupted. An error icon appears on disks that display the Unreadable status.

Disks might also display the Unreadable status while they are spinning up or when Disk Management is rescanning all of the disks on the system. In some cases, an unreadable disk has failed and is not recoverable. For dynamic disks, the Unreadable status usually results from corruption or I/O errors on part of the disk, rather than failure of the entire disk.

Solution: Rescan the disks or restart the computer to see if the disk status changes. For instructions describing how to rescan the disks, see http://go.microsoft.com/fwlink/?LinkId=64114.

For more information about disk status descriptions, see http://go.microsoft.com/fwlink/?LinkId=64112.

A dynamic disk's status is Foreign.

Cause: The Foreign status occurs when you move a dynamic disk to the local computer from another computer running Windows 2000, Windows XP Professional, Windows XP 64-Bit Edition, or the Windows Server 2003 operating systems. A warning icon appears on disks that display the Foreign status.

In some cases, a disk that was previously connected to the system can display the Foreign status. Configuration data for dynamic disks is stored on all dynamic disks, so the information about which disks are owned by the system is lost when all dynamic disks fail.

Solution: Add the disk to your computer's system configuration so that you can access data on the disk. To add a disk to your computer's system configuration, import the foreign disk (right-click the disk and then click Import Foreign Disks). Any existing volumes on the foreign disk become visible and accessible when you import the disk.

For more information about disk status descriptions, see http://go.microsoft.com/fwlink/?LinkId=64112.

A dynamic disk's status is Online (Errors).

Cause: The dynamic disk has I/O errors on a region of the disk. A warning icon appears on the dynamic disk with errors.

Solution: If the I/O errors are temporary, reactivate the disk to return it to Online status. For instructions describing how to bring the disk back online, see Reactivate a Missing or Offline Dynamic Disk.

For more information about disk status descriptions, see http://go.microsoft.com/fwlink/?LinkId=64112.

A dynamic disk's status is Offline or Missing.

Cause: An Offline dynamic disk might be corrupted or intermittently unavailable. An error icon appears on the offline dynamic disk.

If the disk status is Offline and the disk's name changes to Missing, the disk was recently available on the system but can no longer be located or identified. The missing disk may be corrupted, powered down, or disconnected.

Solution:

To bring a disk that is Offline and Missing back online

Repair any disk, controller, or cable problems and make sure that the physical disk is turned on, plugged in, and attached to the computer. Next, use the Reactivate Disk command to bring the disk back online. For instructions describing how to reactivate missing or offline disks, see Reactivate a Missing or Offline Dynamic Disk.

If the disk status remains Offline and the disk name remains Missing, and you determine that the disk has a problem that cannot be repaired, you can remove the disk from the system (right-click the disk and then click Remove Disk). However, before you can remove the disk, you must delete all volumes (or mirrors) on the disk. You can save any mirrored volumes on the disk by removing the mirror instead of the entire volume. Deleting a volume destroys the data in the volume, so you should remove a disk only if you are absolutely certain that the disk is permanently damaged and unusable.

To bring a disk that is Offline and is still named Disk # (not Missing) back online, try one or more of the following:

  • In Disk Management, right-click the disk and then click Reactivate Disk to bring the disk back online. If the disk status remains Offline, check the cables and disk controller, and make sure that the physical disk is healthy. Correct any problems and try to reactivate the disk again. If the disk reactivation succeeds, any volumes on the disk should automatically return to the Healthy status.

  • In Event Viewer, check the event logs for any disk related errors such as “no good config copies”. If the event logs contain the "no good config copies" error, contact Microsoft Product Support Services.

  • Try moving the disk to another computer. If you can get the disk to go Online on another computer, the problem is most likely due to the configuration of the computer where the disk does not go Online.

  • Try moving the disk to another computer that has dynamic disks. Import the disk on that computer and then move it back to the computer where it would not go Online.

For more information about disk status descriptions, see http://go.microsoft.com/fwlink/?LinkId=64112.

A basic or dynamic volume's status is Failed.

Cause: The basic or dynamic volume cannot be started automatically, the disk is damaged, or the file system is corrupt. Unless the disk or file system can be repaired, the Failed status indicates data loss.

Solution: If the volume is a basic volume with Failed status, make sure that the underlying physical disk is turned on, plugged in, and attached to the computer. No other user action is possible for basic volumes.

If the volume is a dynamic volume with Failed status, make sure the underlying disks are online. If not, return the disks to the Online status. If this succeeds, the volume automatically restarts and returns to the Healthy status. For instructions describing how to bring a disk online, see Reactivate a Missing or Offline Dynamic Disk.

If the dynamic disk returns to the Online status, but the dynamic volume does not return to the Healthy status, you can reactivate the volume manually. For instructions describing how to reactivate a volume, see Reactivate a Missing or Offline Dynamic Disk.

If the dynamic volume is a mirrored or RAID-5 volume with old data, bringing the underlying disk online will not automatically restart the volume. If the disks that contain current data are disconnected, you should bring those disks online first (to allow the data to become synchronized). Otherwise, restart the mirrored or RAID-5 volume manually, and then run the Error-checking tool or Chkdsk.exe.

For instructions describing how to reactivate a volume, see http://go.microsoft.com/fwlink/?LinkId=64115.

For more information about volume status descriptions, see http://go.microsoft.com/fwlink/?LinkId=64113.

A basic or dynamic volume's status is Unknown.

Cause: The Unknown status occurs when the boot sector for the volume is corrupted (possibly due to a virus) and you can no longer access data on the volume. The Unknown status also occurs when you install a new disk but do not successfully complete the wizard to create a disk signature.

Solution: Initialize the disk. For instructions describing how to initialize a disk, see Initialize New Disks.

For more information about volume status descriptions, see http://go.microsoft.com/fwlink/?LinkId=64113.

A dynamic volume's status is Data Incomplete.

Cause: You moved some but not all of the disks in a multidisk volume. Data on this volume will be destroyed unless you move and import the remaining disks that contain this volume.

Solution: Move all of the disks that comprise the multidisk volume to the computer and then import the disks. For instructions describing how to move and import disks, see Move Disks to Another Computer.

If you no longer require the multidisk volume, you can import the disk and create new volumes on it. Right-click the volume with Failed or Failed Redundancy status and then click Delete Volume. Right-click the disk and then click New Volume.

For more information about volume status descriptions, see http://go.microsoft.com/fwlink/?LinkId=64113.

A dynamic volume's status is Healthy (At Risk).

Cause: Indicates that the dynamic volume is currently accessible, but I/O errors have been detected on the underlying dynamic disk. If an I/O error is detected on any part of a dynamic disk, all volumes on the disk display the Healthy (At Risk) status and a warning icon appears on the volume.

When the volume status is Healthy (At Risk), an underlying disk's status is usually Online (Errors).

Solution: Return the underlying disk to the Online status. Once the disk is returned to Online status, the volume should return to the Healthy status. If the Healthy (At Risk) status persists, the disk might be failing. Back up the data and replace the disk as soon as possible. For instructions describing how to bring the disk back online, see Reactivate a Missing or Offline Dynamic Disk.

For more information about volume status descriptions, see http://go.microsoft.com/fwlink/?LinkId=64113.

Cannot manage striped, volumes using Disk Management or DiskPart.

Cause: Some non-Microsoft disk management products replace Microsoft Logical Disk Manager (LDM) for advanced disk management, which can disable the LDM.

Solution: If you are using non-Microsoft disk management software that has disabled LDM, you must contact the vendor on the non-Microsoft disk management software for support or assistance in troubleshooting problems with the disk configuration.

Disk Management cannot start the Virtual Disk Service.

Cause: If a remote computer does not support the Virtual Disk Service (VDS) or if a connection to the remote computer cannot be established because it is blocked by Windows Firewall, you may receive this error.

Solution: If the remote computer supports VDS, you can configure Windows Firewall to allow VDS connections. If the remote computer does not support VDS, you can use Remote Desktop Connection to connect to it and then run Disk Management directly on the remote computer.

To manage disks on remote computers that do support VDS, you must configure the Windows Firewall on both the local computer (where you are running Disk Management) and the remote computer.

On the local computer, configure Windows Firewall to enable the Remote Volume Exception.

Note

The Remote Volume Management Exception includes exceptions for Vds.exe, Vdsldr.exe, and TCP port 135.

The following table details how to configure Windows Firewall on various remote computers to allow connections from Disk Management that is running on a computer with Windows Server 2008, Windows Vista, or Windows Vista with Service Pack 1 (SP 1).

Remote computer operating system Windows Firewall configuration

Windows Server 2008

Enable Remote Volume Management Exception.

Windows Vista

Enable Remote Volume Management Exception.

Enable the File and Print Sharing exception.

Windows Vista with SP 1

Enable Remote Volume Management Exception.

Windows Server 2003 with SP 1

Enable the following exceptions:

  • TCP port 135

  • Vds.exe

Note

Remote connections in workgroups are not supported. Both the local computer and the remote computer must be in a domain.


Resources for Disk Management

  • For more in-depth information about Disk Management, including best practices and concepts, see http://go.microsoft.com/fwlink/?linkid=64097.

  • For information about important considerations for converting between basic and dynamic disks, see http://go.microsoft.com/fwlink/?LinkId=64108.


Command-line syntax notation

The following table describes the notation used to indicate command-line syntax.

Notation | Description
Text without brackets or braces | Items you must type as shown
<Text inside angle brackets> | Placeholder for which you must supply a value
[Text inside square brackets] | Optional items
{Text inside braces} | Set of required items; choose one
Vertical bar (|) | Separator for mutually exclusive items; choose one
Ellipsis (…) | Items that can be repeated


Shrink a Volume

To make unused disk space available, you can decrease the size of a volume by shrinking it—without having to reformat the disk. For example, you might shrink a partition if you have one disk partition that has a large amount of free space and you need a new partition for a different purpose, such as installing a second operating system for disaster recovery.

You can shrink partitions either from the Disk Management snap-in or from a command prompt using the DiskPart command.

There are certain restrictions on the types of partitions that can be shrunk in this way. The restrictions and steps for shrinking a partition are slightly different for basic volumes and for simple or spanned volumes.

For more information about shrinking a basic volume, see Shrink a Basic Volume.

For more information about shrinking a simple or spanned volume, see Shrink a Simple or Spanned Volume.


More information about write-caching settings

Write-caching settings

“Write caching” in a storage device refers to the use of high-speed volatile memory to collect write commands sent to data storage devices and cache them until the slower storage media (either physical disks or low-cost flash memory) can accommodate them. Most devices that use write caching require that power be supplied continuously.

Quick removal

This option is usually the best choice for devices that you are likely to remove from the system frequently, such as USB flash drives, SD, MMC, Compact Flash, or similar memory cards, and other externally attached storage.

When you select the Quick Removal option, Windows manages commands sent to the device using a method called write-through caching. In write-through caching, the device operates on write commands as if there were no cache. The cache may still provide a small performance benefit, but the emphasis is on treating the data as safely as possible by getting the commands to the principal storage. The main benefit is that you can remove the storage device from the system quickly without risking data loss. For example, if a flash drive were to be accidentally pulled out of its port, the data being written to it is much less likely to be lost.

Better performance

This option is usually the best choice for devices that must provide the highest possible performance and that you intend to remove from the system infrequently. If you choose this option and the device is disconnected from the system before all of the data is written to it (such as if you remove a USB flash drive), you could lose data.

When you select the Better Performance option, Windows uses a method known as write-back caching. In this method, the storage device itself is allowed to determine whether using the high-speed cache will save time completing the write commands. If it will, the device signals to the computer that the data has been stored successfully even though the data may not actually be present in the principal storage (such as the disk or flash memory). This method markedly increases the throughput of storage operations, which are often a major bottleneck for system performance overall. However, if the power supplied to the device fails for any reason, any data still in the cache (that the computer system believes is safely stored) could be lost.

Cache flushing

By default, Windows employs cache flushing. This means that the system will periodically instruct the storage device to transfer all data waiting in the cache to the principal storage media. When you select Enable write caching on this device, you turn off these periodic commands to transfer the data. Not all devices support all of these features.

If high data transfer performance is your paramount concern, you should enable both settings: in the Removal Policy section, select the Better Performance option and in the Write-caching policy section, select Enable write caching on the device (if the system hardware and storage device support these features).

How can I change the write-caching setting for this device?

Most consumer-oriented storage devices such as USB flash drives, SD or MMC memory cards, or consumer external disk drives do not allow you to change the device’s caching settings. Internal SATA or serial-attached SCSI hard drives shipped with Windows do typically allow you to change the settings, although this can only be guaranteed by the manufacturer of the device. To understand the caching features offered by a given device and determine which settings best suit your needs, consult the documentation provided by the manufacturer.

More information on preventing data loss

Systems that have write-caching enabled at any point in path between the application and the storage device must be stable and not prone to power loss. When a device attached to a system uses write-caching, the device’s algorithms for caching are designed with the expectation that power will continuously be available to operate both the cache and the movement of the data in and out of the cache. If your system or power source has known issues with sustaining power, you should not use these features.

You should also remove storage devices like USB flash drives, SD, MMC, or Compact Flash memory cards, and external storage drives cautiously. When you use the Safe Removal option, your data is protected by Windows in most scenarios. However, it is possible that certain drivers or applications may not conform to the Windows model, and this could lead to data loss when you remove such devices. Whenever possible, it is best to use the Safe Removal applet before you remove any external storage device from the system.


Extend a Volume

When you need more storage space in a given partition, you can gain it by extending the partition into adjacent unallocated space on the same disk—without having to repartition the disk. You can extend partitions either from the Disk Management snap-in or from a command prompt using the DiskPart command.

There are certain restrictions on the types of partitions that can be extended in this way. The restrictions and steps for extending a partition are slightly different for basic volumes and for simple or spanned volumes.

For more information about extending a basic volume, see Extend a Basic Volume.

For more information about extending a simple or spanned volume, see Extend a Simple or Spanned Volume.